[Snort-devel] posted RPM dependency problem

Earl Sammons esammons at ...2799...
Mon Aug 1 21:01:20 EDT 2005


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I believe there is a dependency problem with currently posted FC3
RPMs.  The FC3 snort RPM works fine by itself but the associated
snort-mysql RPM will not install due to dependency issue.

I had a look at the spec and came up with two possible fixes:

1. Don't define %{epoch}:
- - --- ./snort.spec        2005-07-22 09:56:49.000000000 -0400
+++ snort.spec.fix1     2005-07-29 08:28:55.000000000 -0400
@@ -86,5 +86,4 @@
 %{?_with_inline:%define Name: %{realname}-inline }
 Version: 2.4.0
- - -Epoch: 1
 Release: %{release}
 Summary: An open source Network Intrusion Detection System (NIDS)

2. If you must define it, then require it:
- - --- ./snort.spec        2005-07-22 09:56:49.000000000 -0400
+++ snort.spec.fix2     2005-07-29 08:29:40.000000000 -0400
@@ -115,5 +115,5 @@
 Summary: Snort with MySQL support
 Group: Applications/Internet
- - -Requires: %{name} = %{version}-%{release}
+Requires: %{name} = %{epoch}:%{version}-%{release}
 %if %{mysql}
 BuildRequires: mysql-devel

Unless things have changed %{epoch} isnt required...

Earl
-----BEGIN PGP SIGNATURE-----
Note: This signature can be verified at https://www.hushtools.com/verify
Version: Hush 2.4

wkYEARECAAYFAkLu72cACgkQk7+e+4lPSm0AowCffUriD2fS2LFEfLXmYmx1AmxQ+MoA
oJRGYHP3pb41vfnWJwBL5jV6b3WA
=D9He
-----END PGP SIGNATURE-----






More information about the Snort-devel mailing list